# FuelCommand
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.commands

## Class FuelCommand

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.commands.FuelCommand

    public class FuelCommand
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`FuelCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `buy(org.bukkit.entity.Player sender, java.lang.String type, java.lang.Integer liters)`
`void` `give(org.bukkit.entity.Player sender, org.bukkit.entity.Player target, java.lang.String type, java.lang.Double amount)`
`void` `shop(org.bukkit.entity.Player sender)`
`void` `shop(org.bukkit.entity.Player sender, org.bukkit.entity.Player target)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FuelCommand

    public FuelCommand()

### Method Detail

#### give

    public void give(org.bukkit.entity.Player sender,
                     org.bukkit.entity.Player target,
                     java.lang.String type,
                     java.lang.Double amount)

#### buy

    public void buy(org.bukkit.entity.Player sender,
                    java.lang.String type,
                    java.lang.Integer liters)

#### shop

    public void shop(org.bukkit.entity.Player sender,
                     org.bukkit.entity.Player target)

#### shop

    public void shop(org.bukkit.entity.Player sender)